Summary: LottaNZB - Automated Usenet Client
Name: lottanzb
Version: 0.5.3
Release: %mkrel 2
Source0: http://launchpad.net/lottanzb/0.5/%{version}/+download/%{name}-%{version}.tar.gz
License: GPL
Group: Networking/News
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: python-devel
BuildRequires: pygtk2.0-devel
BuildRequires: python-kiwi
BuildRequires: intltool
Requires: python-kiwi
Requires: python
Requires: hellanzb
Requires: pygtk2.0
Requires: pygtk2.0-libglade
Url: http://www.lottanzb.org/

%description
LottaNZB is a Usenet client that automates the download of Usenet files with the help of NZB files. It uses HellaNZB as its backend and PyGTK for its user interface.

%prep
%setup -q -n %{name}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --packaging-mode --root=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

rm -fr %buildroot%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}
%{update_mime_database}
%update_icon_cache hicolor
%update_scrollkeeper

%postun
%{clean_desktop_database}
%{clean_mime_database}
%clean_icon_cache hicolor
%clean_scrollkeeper

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/apport/crashdb.conf.d/lottanzb-crashdb.conf
%{_datadir}/apport
%{_bindir}/*
%{py_puresitedir}/%{name}/*
%{_datadir}/%{name}/*
%{_datadir}/icons/*
%{py_puresitedir}/%{name}-%{version}-*.egg-info
%{_mandir}/man1/*
%{_datadir}/application-registry/lottanzb.applications
%{_datadir}/applications/lottanzb.desktop
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/*
%dir %{_datadir}/omf/lottanzb/
%{_datadir}/omf/lottanzb/*-C.omf


%changelog
* Sat Nov 13 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 0.5.3-2mdv2011.0
+ Revision: 597039
- rebuild for python 2.7

* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 0.5.3-1mdv2010.1
+ Revision: 504056
- use packaging mode
- update file list
- BR intltool
- New version 0.5.3

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.4.1-3mdv2010.0
+ Revision: 439599
- rebuild

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 0.4.1-2mdv2009.1
+ Revision: 363050
- fix deps
- fix omf file list

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 349642
- import lottanzb


